Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.carbons
Class Sent

    java.lang.Object
      org.xmpp.packet.PacketExtension
          org.jivesoftware.openfire.carbons.Sent

    public final class Sent

extends org.xmpp.packet.PacketExtension

The implementation of the `<sent xmlns="urn:xmpp:carbons:2"/>` extension. It indicates, that a message has been sent by the same user from another resource.

Author:
  Christian Schudt

Field Summary

Fields inherited from class org.xmpp.packet.PacketExtension
`docFactory, element, registeredExtensions`

Constructor Summary
`Sent(Forwarded forwarded)`

Method Summary

Methods inherited from class org.xmpp.packet.PacketExtension
`createCopy, getElement, getExtensionClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sent

    public Sent(Forwarded forwarded)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.